GreatWksDBParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
GreatWksDBParserInternal::State Struct Reference

Internal: the state of a GreatWksDBParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
Database | m_database
| the database More...
std::map< int, MWAWEntry > | m_idZonesMap
| a map id to zone used to stored the small zones More...
std::vector< BlockHeader > | m_blocks
| the list of big blocks More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
MWAWEntry | m_headerBlockHeader
| the header entry (in v2) More...
MWAWEntry | m_footerBlockHeader
| the footer entry (in v2) More...
bool | m_headerPrint
| the header is printed More...
bool | m_footerPrint
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a GreatWksDBParser.

## Constructor & Destructor Documentation

## ◆ State()

GreatWksDBParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int GreatWksDBParserInternal::State::m_actPage

the actual page

## ◆ m_blocks

std::vector<BlockHeader> GreatWksDBParserInternal::State::m_blocks

the list of big blocks

## ◆ m_database

Database GreatWksDBParserInternal::State::m_database

the database

## ◆ m_footerBlockHeader

MWAWEntry GreatWksDBParserInternal::State::m_footerBlockHeader

the footer entry (in v2)

## ◆ m_footerHeight

int GreatWksDBParserInternal::State::m_footerHeight

the footer height if known

## ◆ m_footerPrint

bool GreatWksDBParserInternal::State::m_footerPrint

## ◆ m_headerBlockHeader

MWAWEntry GreatWksDBParserInternal::State::m_headerBlockHeader

the header entry (in v2)

## ◆ m_headerHeight

int GreatWksDBParserInternal::State::m_headerHeight

the header height if known

## ◆ m_headerPrint

bool GreatWksDBParserInternal::State::m_headerPrint

the header is printed

## ◆ m_idZonesMap

std::map<int, MWAWEntry> GreatWksDBParserInternal::State::m_idZonesMap

a map id to zone used to stored the small zones

## ◆ m_numPages

int GreatWksDBParserInternal::State::m_numPages

the number of page of the final document

The documentation for this struct was generated from the following file:

- GreatWksDBParser.cxx